package com.dxhy.common.enums;

/**
 * @author jiaohongyang
 */
public enum InputStatusEnum {

    // 0--采集成功
    CJCG("0", 0),
    // 1--签收成功
    QSCG("1", 1),
    // 2--签收失败
    QSSB("2", 2),
    // 3--认证成功
    RZCG("3", 3),
    // 4--认证失败
    RZSB("4", 4),
    // 5--取消签收成功
    QXQSCG("5", 5),
    // 6--取消签收失败
    QXQSSB("6", 6),
    // 7--设置不认证申请
    SZBRZSQ("7", 7),
    // 8--设置不认证成功
    SZBZRCG("8", 8),
    // 9--设置不认证失败
    SZBRZSB("9", 9),
    // 10--取消不认证申请
    QXBRZSQ("10", 10),
    // 11--取消不认证成功
    QXBRZCG("11", 11),
    // 12--取消不认证失败
    QXBRZSB("12", 12),
    // 13--勾选成功
    GXCG("13", 13),
    // 14--确认成功
    QRCG("14", 14),
    // 15--撤销认证申请
    CXRZSQ("15", 15),
    // 16--撤销认证成功
    CXRZCG("16", 16),
    // 17--撤销认证失败
    CXRZSB("17", 17),
    // 18--撤销勾选
    CXGX("18", 18),
    // 19--发票状态变更
    FPZTBG("19", 19),
    // 20--录入成功
    LRCG("20", 20);

    private final String[] inputStatusMC =
        {"采集成功", "签收成功", "签收失败", "认证抵扣成功", "认证抵扣失败", "取消签收成功", "取消签收失败", "申请认证不抵扣", "认证不抵扣成功", "认证不抵扣失败", "申请撤销不抵扣",
            "撤销不抵扣成功", "撤销不抵扣失败", "勾选成功", "确认成功", "申请撤销认证", "撤销认证成功", "撤销认证失败", "撤销勾选", "发票状态变更", "录入成功"};

    private String inputStatusDm;
    private int index;

    InputStatusEnum(String inputStatusDm, int index) {
        this.inputStatusDm = inputStatusDm;
        this.index = index;
    }

    public String getInputStatusDm(int index) {
        for (InputStatusEnum inputStatus : InputStatusEnum.values()) {
            if (inputStatus.getIndex() == index) {
                return inputStatus.inputStatusDm;
            }
        }
        return null;
    }

    public String getInputStatusMc(int index) {
        int length = inputStatusMC.length;
        if (index <= length) {
            return inputStatusMC[index];
        }
        return null;
    }

    public String getInputStatusDm() {
        return inputStatusDm;
    }

    public void setInputStatusDm(String inputStatusDm) {
        this.inputStatusDm = inputStatusDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
